Skip to content
Developer

ChatroomMessageReaction

Chat and notifications6 EndpointsChat / ChatroomMessageReaction

Returns a list of all ChatroomMessageReactions

GET/api/chat/chatroom_message_reaction

Query parameters

chatroomstring_LIST
participantstring_LIST
messagestring_LIST
deletedbooleanThis property is used to mark an entity as deleted / archived | _LIST
createdstring_LIST
searchStringstringtext to search for in the list
orderFieldNamestringname of the order field
orderFieldSortstringsorting modeAllowed: DESCASC
pageintegerpage of the list
pageSizeintegernumber of entries for each page
withMaxPageNumberstringreturns the number of pages available as a header if this is set

Responses

200Returns a list of all ChatroomMessageReactionsarray<ChatroomMessageReaction2>

Show fields (6)
  • idinteger

    Primary key of the reaction. Internal ID.

  • emojistring

    Emoji of the reaction.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • image_urlstring

    URL of the image of the entity.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/chat/chatroom_message_reaction \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
[
  {
    "id": 42,
    "image_url": "https://vynst.de",
    "emoji": "string",
    "created": "2026-10-15T09:30:00+02:00",
    "updated": "2026-10-15T09:30:00+02:00",
    "deleted": true
  }
]

Add a new ChatroomMessageReaction

POST/api/chat/chatroom_message_reaction

Request body application/json

  • dataChatroomMessageReaction3
    Show fields (9)
    • idinteger

      Primary key of the reaction. Internal ID.

    • emojistring

      Emoji of the reaction.

    • chatroomChatroom10

      Chat room the reaction belongs to.

    • messageChatroomMessage4

      Chat message that was reacted to.

    • participantChatroomParticipant5

      Participant who reacted.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • image_urlstring

      URL of the image of the entity.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

Responses

200Add a new ChatroomMessageReactionChatroomMessageReaction3

Show fields (9)
  • idinteger

    Primary key of the reaction. Internal ID.

  • emojistring

    Emoji of the reaction.

  • chatroomChatroom10

    Chat room the reaction belongs to.

    Show fields (6)
    • idinteger

      Primary key of the chat room. Internal ID.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • namestring

      Name of the entity.

    • image_urlstring

      URL of the image of the entity.

  • messageChatroomMessage4

    Chat message that was reacted to.

    Show fields (4)
    • idinteger

      Primary key of the chat message. Internal ID.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

  • participantChatroomParticipant5

    Participant who reacted.

    Show fields (6)
    • idinteger

      Primary key of the participant. Internal ID.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • namestring

      Name of the entity.

    • image_urlstring

      URL of the image of the entity.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • image_urlstring

    URL of the image of the entity.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

Request
curl --request POST \
  --url https://your-instance.iw-erp.de/api/chat/chatroom_message_reaction \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "id": 42,
    "image_url": "https://vynst.de",
    "emoji": "string",
    "chatroom": {
      "id": 42,
      "name": "Beispiel",
      "image_url": "https://vynst.de",
      "created": "2026-10-15T09:30:00+02:00",
      "updated": "2026-10-15T09:30:00+02:00",
      "deleted": true
    },
    "message": {
      "id": 42,
      "created": "2026-10-15T09:30:00+02:00",
      "updated": "2026-10-15T09:30:00+02:00",
      "deleted": true
    },
    "participant": {
      "id": 42,
      "name": "Beispiel",
      "image_url": "https://vynst.de",
      "created": "2026-10-15T09:30:00+02:00",
      "updated": "2026-10-15T09:30:00+02:00",
      "deleted": true
    }
  }
}
'
Response 200 application/json
{
  "id": 42,
  "image_url": "https://vynst.de",
  "emoji": "string",
  "chatroom": {
    "id": 42,
    "name": "Beispiel",
    "image_url": "https://vynst.de",
    "created": "2026-10-15T09:30:00+02:00",
    "updated": "2026-10-15T09:30:00+02:00",
    "deleted": true
  },
  "message": {
    "id": 42,
    "created": "2026-10-15T09:30:00+02:00",
    "updated": "2026-10-15T09:30:00+02:00",
    "deleted": true
  },
  "participant": {
    "id": 42,
    "name": "Beispiel",
    "image_url": "https://vynst.de",
    "created": "2026-10-15T09:30:00+02:00",
    "updated": "2026-10-15T09:30:00+02:00",
    "deleted": true
  },
  "created": "2026-10-15T09:30:00+02:00",
  "updated": "2026-10-15T09:30:00+02:00",
  "deleted": true
}

Returns a single ChatroomMessageReaction entry.

GET/api/chat/chatroom_message_reaction/{identifier}

Path parameters

identifierrequiredstring

Responses

200Return single ChatroomMessageReactionChatroomMessageReaction3

Show fields (9)
  • idinteger

    Primary key of the reaction. Internal ID.

  • emojistring

    Emoji of the reaction.

  • chatroomChatroom10

    Chat room the reaction belongs to.

    Show fields (6)
    • idinteger

      Primary key of the chat room. Internal ID.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • namestring

      Name of the entity.

    • image_urlstring

      URL of the image of the entity.

  • messageChatroomMessage4

    Chat message that was reacted to.

    Show fields (4)
    • idinteger

      Primary key of the chat message. Internal ID.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

  • participantChatroomParticipant5

    Participant who reacted.

    Show fields (6)
    • idinteger

      Primary key of the participant. Internal ID.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • namestring

      Name of the entity.

    • image_urlstring

      URL of the image of the entity.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • image_urlstring

    URL of the image of the entity.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/chat/chatroom_message_reaction/42 \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{
  "id": 42,
  "image_url": "https://vynst.de",
  "emoji": "string",
  "chatroom": {
    "id": 42,
    "name": "Beispiel",
    "image_url": "https://vynst.de",
    "created": "2026-10-15T09:30:00+02:00",
    "updated": "2026-10-15T09:30:00+02:00",
    "deleted": true
  },
  "message": {
    "id": 42,
    "created": "2026-10-15T09:30:00+02:00",
    "updated": "2026-10-15T09:30:00+02:00",
    "deleted": true
  },
  "participant": {
    "id": 42,
    "name": "Beispiel",
    "image_url": "https://vynst.de",
    "created": "2026-10-15T09:30:00+02:00",
    "updated": "2026-10-15T09:30:00+02:00",
    "deleted": true
  },
  "created": "2026-10-15T09:30:00+02:00",
  "updated": "2026-10-15T09:30:00+02:00",
  "deleted": true
}

Updates an existing ChatroomMessageReaction entry.

PUT/api/chat/chatroom_message_reaction/{identifier}

Path parameters

identifierrequiredstring

Request body application/json

  • dataChatroomMessageReaction3
    Show fields (9)
    • idinteger

      Primary key of the reaction. Internal ID.

    • emojistring

      Emoji of the reaction.

    • chatroomChatroom10

      Chat room the reaction belongs to.

    • messageChatroomMessage4

      Chat message that was reacted to.

    • participantChatroomParticipant5

      Participant who reacted.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • image_urlstring

      URL of the image of the entity.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

Responses

200Update single ChatroomMessageReactionChatroomMessageReaction3

Show fields (9)
  • idinteger

    Primary key of the reaction. Internal ID.

  • emojistring

    Emoji of the reaction.

  • chatroomChatroom10

    Chat room the reaction belongs to.

    Show fields (6)
    • idinteger

      Primary key of the chat room. Internal ID.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • namestring

      Name of the entity.

    • image_urlstring

      URL of the image of the entity.

  • messageChatroomMessage4

    Chat message that was reacted to.

    Show fields (4)
    • idinteger

      Primary key of the chat message. Internal ID.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

  • participantChatroomParticipant5

    Participant who reacted.

    Show fields (6)
    • idinteger

      Primary key of the participant. Internal ID.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • namestring

      Name of the entity.

    • image_urlstring

      URL of the image of the entity.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • image_urlstring

    URL of the image of the entity.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

Request
curl --request PUT \
  --url https://your-instance.iw-erp.de/api/chat/chatroom_message_reaction/42 \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "id": 42,
    "image_url": "https://vynst.de",
    "emoji": "string",
    "chatroom": {
      "id": 42,
      "name": "Beispiel",
      "image_url": "https://vynst.de",
      "created": "2026-10-15T09:30:00+02:00",
      "updated": "2026-10-15T09:30:00+02:00",
      "deleted": true
    },
    "message": {
      "id": 42,
      "created": "2026-10-15T09:30:00+02:00",
      "updated": "2026-10-15T09:30:00+02:00",
      "deleted": true
    },
    "participant": {
      "id": 42,
      "name": "Beispiel",
      "image_url": "https://vynst.de",
      "created": "2026-10-15T09:30:00+02:00",
      "updated": "2026-10-15T09:30:00+02:00",
      "deleted": true
    }
  }
}
'
Response 200 application/json
{
  "id": 42,
  "image_url": "https://vynst.de",
  "emoji": "string",
  "chatroom": {
    "id": 42,
    "name": "Beispiel",
    "image_url": "https://vynst.de",
    "created": "2026-10-15T09:30:00+02:00",
    "updated": "2026-10-15T09:30:00+02:00",
    "deleted": true
  },
  "message": {
    "id": 42,
    "created": "2026-10-15T09:30:00+02:00",
    "updated": "2026-10-15T09:30:00+02:00",
    "deleted": true
  },
  "participant": {
    "id": 42,
    "name": "Beispiel",
    "image_url": "https://vynst.de",
    "created": "2026-10-15T09:30:00+02:00",
    "updated": "2026-10-15T09:30:00+02:00",
    "deleted": true
  },
  "created": "2026-10-15T09:30:00+02:00",
  "updated": "2026-10-15T09:30:00+02:00",
  "deleted": true
}

Updates an existing ChatroomMessageReaction entry.

PATCH/api/chat/chatroom_message_reaction/{identifier}

Path parameters

identifierrequiredstring

Request body application/json

  • dataChatroomMessageReaction3
    Show fields (9)
    • idinteger

      Primary key of the reaction. Internal ID.

    • emojistring

      Emoji of the reaction.

    • chatroomChatroom10

      Chat room the reaction belongs to.

    • messageChatroomMessage4

      Chat message that was reacted to.

    • participantChatroomParticipant5

      Participant who reacted.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • image_urlstring

      URL of the image of the entity.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

Responses

200Update single ChatroomMessageReactionChatroomMessageReaction3

Show fields (9)
  • idinteger

    Primary key of the reaction. Internal ID.

  • emojistring

    Emoji of the reaction.

  • chatroomChatroom10

    Chat room the reaction belongs to.

    Show fields (6)
    • idinteger

      Primary key of the chat room. Internal ID.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • namestring

      Name of the entity.

    • image_urlstring

      URL of the image of the entity.

  • messageChatroomMessage4

    Chat message that was reacted to.

    Show fields (4)
    • idinteger

      Primary key of the chat message. Internal ID.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

  • participantChatroomParticipant5

    Participant who reacted.

    Show fields (6)
    • idinteger

      Primary key of the participant. Internal ID.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • namestring

      Name of the entity.

    • image_urlstring

      URL of the image of the entity.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • image_urlstring

    URL of the image of the entity.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

Request
curl --request PATCH \
  --url https://your-instance.iw-erp.de/api/chat/chatroom_message_reaction/42 \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "id": 42,
    "image_url": "https://vynst.de",
    "emoji": "string",
    "chatroom": {
      "id": 42,
      "name": "Beispiel",
      "image_url": "https://vynst.de",
      "created": "2026-10-15T09:30:00+02:00",
      "updated": "2026-10-15T09:30:00+02:00",
      "deleted": true
    },
    "message": {
      "id": 42,
      "created": "2026-10-15T09:30:00+02:00",
      "updated": "2026-10-15T09:30:00+02:00",
      "deleted": true
    },
    "participant": {
      "id": 42,
      "name": "Beispiel",
      "image_url": "https://vynst.de",
      "created": "2026-10-15T09:30:00+02:00",
      "updated": "2026-10-15T09:30:00+02:00",
      "deleted": true
    }
  }
}
'
Response 200 application/json
{
  "id": 42,
  "image_url": "https://vynst.de",
  "emoji": "string",
  "chatroom": {
    "id": 42,
    "name": "Beispiel",
    "image_url": "https://vynst.de",
    "created": "2026-10-15T09:30:00+02:00",
    "updated": "2026-10-15T09:30:00+02:00",
    "deleted": true
  },
  "message": {
    "id": 42,
    "created": "2026-10-15T09:30:00+02:00",
    "updated": "2026-10-15T09:30:00+02:00",
    "deleted": true
  },
  "participant": {
    "id": 42,
    "name": "Beispiel",
    "image_url": "https://vynst.de",
    "created": "2026-10-15T09:30:00+02:00",
    "updated": "2026-10-15T09:30:00+02:00",
    "deleted": true
  },
  "created": "2026-10-15T09:30:00+02:00",
  "updated": "2026-10-15T09:30:00+02:00",
  "deleted": true
}

Delete a single ChatroomMessageReaction

DELETE/api/chat/chatroom_message_reaction/{identifier}

Path parameters

identifierrequiredstring

Responses

200Return single ChatroomMessageReactionChatroomMessageReaction3

Show fields (9)
  • idinteger

    Primary key of the reaction. Internal ID.

  • emojistring

    Emoji of the reaction.

  • chatroomChatroom10

    Chat room the reaction belongs to.

    Show fields (6)
    • idinteger

      Primary key of the chat room. Internal ID.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • namestring

      Name of the entity.

    • image_urlstring

      URL of the image of the entity.

  • messageChatroomMessage4

    Chat message that was reacted to.

    Show fields (4)
    • idinteger

      Primary key of the chat message. Internal ID.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

  • participantChatroomParticipant5

    Participant who reacted.

    Show fields (6)
    • idinteger

      Primary key of the participant. Internal ID.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • namestring

      Name of the entity.

    • image_urlstring

      URL of the image of the entity.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • image_urlstring

    URL of the image of the entity.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

Request
curl --request DELETE \
  --url https://your-instance.iw-erp.de/api/chat/chatroom_message_reaction/42 \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{
  "id": 42,
  "image_url": "https://vynst.de",
  "emoji": "string",
  "chatroom": {
    "id": 42,
    "name": "Beispiel",
    "image_url": "https://vynst.de",
    "created": "2026-10-15T09:30:00+02:00",
    "updated": "2026-10-15T09:30:00+02:00",
    "deleted": true
  },
  "message": {
    "id": 42,
    "created": "2026-10-15T09:30:00+02:00",
    "updated": "2026-10-15T09:30:00+02:00",
    "deleted": true
  },
  "participant": {
    "id": 42,
    "name": "Beispiel",
    "image_url": "https://vynst.de",
    "created": "2026-10-15T09:30:00+02:00",
    "updated": "2026-10-15T09:30:00+02:00",
    "deleted": true
  },
  "created": "2026-10-15T09:30:00+02:00",
  "updated": "2026-10-15T09:30:00+02:00",
  "deleted": true
}